Banking & treasuries
Treasuries, balances and bank movements.
- Base URL:
https://api.aikount.com - Every call requires the header
Authorization: Bearer <token>(Authentication and API keys).
| Method | Path | What for | Parameters |
|---|---|---|---|
GET | /bank-movements | List Bank Movements | treasury_id, status, from_date, to_date, min_amount, max_amount, category_id, search, limit, offset |
POST | /bank-movements | Create Bank Movement | — |
DELETE | /bank-movements/{movement_id} | Delete Bank Movement | movement_id* |
GET | /bank-movements/{movement_id} | Get Bank Movement | movement_id* |
GET | /bank-movements/export | Export Bank Movements | treasury_id, status, from_date, to_date, min_amount, max_amount, category_id, search, direction, ids, format, columns |
GET | /bank-movements/import-batches | List Statement Imports | treasury_id |
DELETE | /bank-movements/import-batches/{batch_id} | Delete Statement Import | batch_id* |
POST | /bank-movements/import-csv | Import Bank Movements Csv | — |
GET | /banking/cashflow | Cashflow | months |
PATCH | /banking/movements/{movement_id}/category | Set Movement Category | movement_id* |
DELETE | /reconciliations/{reconciliation_id} | Delete Reconciliation | reconciliation_id* |
POST | /reconciliations/against-account | Reconcile Against Account | — |
POST | /reconciliations/against-document | Reconcile Against Document | — |
POST | /reconciliations/auto | Auto Reconcile Purchases | — |
POST | /reconciliations/auto-classify | Auto Classify Movements | — |
POST | /reconciliations/fx-settle | Fx Settle Purchases | — |
GET | /treasuries | List Treasuries | limit, offset |
POST | /treasuries | Create Treasury | — |
DELETE | /treasuries/{treasury_id} | Delete Treasury | treasury_id*, cascade |
GET | /treasuries/{treasury_id} | Get Treasury | treasury_id* |
PATCH | /treasuries/{treasury_id} | Update Treasury | treasury_id* |
Full detail (parameters, bodies and schemas) lives in OpenAPI/Swagger. Parameters marked
*are required.